Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591762 - Configure SNMP4J to use Log4jLogFactory by default
Summary: Configure SNMP4J to use Log4jLogFactory by default
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts
Version: unspecified
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 02:57 UTC by James Livingston
Modified: 2016-02-22 00:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-29 18:05:09 UTC


Attachments (Terms of Use)

Description James Livingston 2010-05-13 02:57:34 UTC
By default SNMP4J simply throws away it's logs, and it would be good if it sent them to Log4J by default so that they can be enabled just by editing jboss-log4j.xml. Currently you have to edit rhq-server.sh and restart JON to enable it.

To send SNMP4J logs to log4j, you can either add "-Dsnmp4j.LogFactory=org.snmp4j.log.Log4jLogFactory" to the RHQ java opts, or call LogFactory.setLogFactory(new org.snmp4j.log.Log4jLogFactory()) in code.


If this change is made, setting the org.snmp4j category to WARN (or ERROR) by default is probably a good idea.

Comment 1 John Mazzitelli 2011-02-17 17:37:27 UTC
i think as a quick workaround, you can add that system property to rhq-server.properties

Comment 2 Jay Shaughnessy 2014-05-29 18:05:09 UTC
Assuming workaround is sufficient.


Note You need to log in before you can comment on or make changes to this bug.